Commit 70d17970 authored by Johannes Zellner's avatar Johannes Zellner

Update dependencies

parent c1176749
......@@ -11,7 +11,7 @@
<link rel="icon" href="/logo.png" type="image/png">
<script src="/js/lib/vue.min.js"></script>
<script src="/js/lib/superagent.js"></script>
<script src="/js/lib/superagent.min.js"></script>
<script src="/js/lib/element-ui.js"></script>
</head>
<body>
......
This diff is collapsed.
This diff is collapsed.
......@@ -6,7 +6,7 @@
"scripts": {
"lint": "standard",
"test": "npm run lint && mocha --bail test/test.js",
"copy_js": "mkdir -p frontend/js/lib && cp node_modules/element-ui/lib/index.js frontend/js/lib/element-ui.js && cp node_modules/superagent/superagent.js node_modules/vue/dist/vue.min.js frontend/js/lib",
"copy_js": "mkdir -p frontend/js/lib && cp node_modules/element-ui/lib/index.js frontend/js/lib/element-ui.js && cp node_modules/superagent/dist/superagent.min.js node_modules/vue/dist/vue.min.js frontend/js/lib",
"copy_css": "mkdir -p frontend/css/lib && cp node_modules/element-ui/lib/theme-chalk/index.css frontend/css/lib/theme-chalk.css && cp node_modules/element-ui/lib/theme-chalk/display.css frontend/css/lib/",
"copy_fonts": "cp -rf node_modules/element-ui/lib/theme-chalk/fonts/ frontend/css/lib/",
"postinstall": "npm run copy_js && npm run copy_css && npm run copy_fonts"
......@@ -23,7 +23,7 @@
"url": "https://git.cloudron.io/cloudron/openvpn-app.git"
},
"dependencies": {
"archiver": "^2.1.1",
"archiver": "^5.0.0",
"async": "^3.2.0",
"body-parser": "^1.19.0",
"compression": "^1.7.4",
......@@ -32,22 +32,22 @@
"connect-timeout": "^1.9.0",
"content-disposition": "^0.5.3",
"debug": "^4.1.1",
"del": "^3.0.0",
"del": "^5.1.0",
"element-ui": "^2.13.2",
"express": "^4.17.1",
"express-session": "^1.17.1",
"ini": "^1.3.5",
"ldapjs": "^1.0.2",
"ldapjs": "^2.1.1",
"mkdirp": "^1.0.4",
"morgan": "^1.10.0",
"safetydance": "^1.1.1",
"superagent": "^3.8.2",
"vue": "^2.6.11"
"superagent": "^6.1.0",
"vue": "^2.6.12"
},
"devDependencies": {
"chromedriver": "^84.0.0",
"chromedriver": "^85.0.0",
"expect.js": "^0.3.1",
"mocha": "^8.0.1",
"mocha": "^8.1.3",
"rimraf": "^3.0.2",
"selenium-server-standalone-jar": "^3.141.59",
"selenium-webdriver": "^3.6.0",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment